API ReferencePurpose of payments
Get Purpose of Payments
This API call allows you to get a list of purpose of payments usable for a currency.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
currency*string
Currency Code to get purpose of payments for.
Match
(?:[a-zA-Z]){3,}Length
3 <= length <= 3recipientType*Recipient Type
Recipient Type, Consumer or Company
Default
"Company"Value in
- "Consumer"
- "Company"
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/payments/purposes?currency=GBP&recipientType=Company"[ { "allowFreeText": true, "code": "string", "name": "string" }]{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}Empty
Empty